| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# IG::Num::VectorFunctionExamples::RosenBrockAndCircle Class Reference

Example 2 component vector function of 2 variables. The first component is the Rosenbrock function and the secont component is a radially symmetric paraboloid with radius 2 of the zero contour, centered at coordinate origin. More...

Inheritance diagram for IG::Num::VectorFunctionExamples::RosenBrockAndCircle:
[legend]
Collaboration diagram for IG::Num::VectorFunctionExamples::RosenBrockAndCircle:
[legend]

List of all members.

## Public Member Functions
| RosenBrockAndCircle ()
override void | Evaluate (IVectorFunctionResults evaluationData)
| Performs evaluation of requwester function results and writes them to the provided data structure.
## Protected Attributes
IScalarFunction | F0
| The first component of the current vector function.
double | R0Square = 4
IScalarFunction | F1
| The second component of the current vector function.

## Detailed Description

Example 2 component vector function of 2 variables. The first component is the Rosenbrock function and the secont component is a radially symmetric paraboloid with radius 2 of the zero contour, centered at coordinate origin.

$A Igor May10 Dec10;

## Constructor & Destructor Documentation

IG::Num::VectorFunctionExamples::RosenBrockAndCircle::RosenBrockAndCircle | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Num::VectorFunctionExamples::RosenBrockAndCircle::Evaluate | ( | IVectorFunctionResults | evaluationData | ) | `[inline, virtual]`

Performs evaluation of requwester function results and writes them to the provided data structure.

Parameters:

  analysisData | Data structure where request parameters are obtained and where results are written.

Implements IG::Num::VectorFunctionBase.

## Member Data Documentation

IScalarFunction IG::Num::VectorFunctionExamples::RosenBrockAndCircle::F0`[protected]`

The first component of the current vector function.

double IG::Num::VectorFunctionExamples::RosenBrockAndCircle::R0Square = 4`[protected]`

IScalarFunction IG::Num::VectorFunctionExamples::RosenBrockAndCircle::F1`[protected]`

The second component of the current vector function.

The documentation for this class was generated from the following file:

- FunctionVectorExamples.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events